%global srcname pytest-httpserver

Summary:	Http server for pytest to test http clients
Name:		python-%{srcname}
Version:	1.0.8
Release:	2%{?dist}
License:	MIT
URL:		https://github.com/csernazs/pytest-httpserver
Source0:	%{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildRequires:	python3-devel python3-pytest pyproject-rpm-macros python3-requests

BuildArch:      noarch


%description
This library is designed to help to test http clients without
contacting the real http server. In other words, it is a fake
http server which is accessible via localhost can be started
with the pre-defined expected http requests and their responses.


%package -n python3-%{srcname}
Summary:	Http server for pytest to test http clients

%description -n python3-%{srcname}
This library is designed to help to test http clients without
contacting the real http server. In other words, it is a fake
http server which is accessible via localhost can be started
with the pre-defined expected http requests and their responses.


%prep
%autosetup -p1 -n %{srcname}-%{version}

sed -i '/flake8/d' pyproject.toml
sed -i '/pytest-cov/d' pyproject.toml
sed -i '/coverage/d' pyproject.toml
sed -i '/mypy/d' pyproject.toml
sed -i '/types-requests/d' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires -x test


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pytest_httpserver


%check
%pytest


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md CHANGES.rst CONTRIBUTION.md


%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.8-2
- Rebuilt for loongarch release

* Mon Sep 25 2023 cunshunxia <cunshunxia@tencent.com> - 1.0.8-1
- Upgrade to version 1.0.8

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.4-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.4-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.4-2
- Rebuilt for OpenCloudOS Stream 23.05

* Mon Apr 24 2023 Miaojun Dong <zoedong@tencent.com> - 1.0.4-1
- initial build
